# std::unordered_multiset<Key,Hash,KeyEqual,Allocator>::count

From cppreference.com
< cpp‎ | container‎ | unordered multiset

size_type count( const Key& key ) const; | (1) | (since C++11)
size_type count( const Key& key, std::size_t hash ) const; | (1) | (since C++20)
template< class K > size_type count( const K& x ) const; | (2) | (since C++20)
template< class K > size_type count( const K& x, std::size_t hash ) const; | (2) | (since C++20)

1) Returns the number of elements with key that compares equal to the specified argument `key`.
2) Returns the number of elements with key that compares equivalent to the specified argument `x`. This overload only participates in overload resolution if the qualified-id Hash::transparent_key_equal is valid and denotes a type. This assumes that such Hash is callable with both K and Key type, and that its key_equal is transparent, which, together, allows calling this function without constructing an instance of `Key`.

If present, the `hash` parameter may be used to pass a pre-computed hash value as an optimization. The behavior is undefined if invoking hash_function() on the key passed do not produce the same value as `hash`. | (since C++20)

### Parameters

key | - | key value of the elements to count
x | - | a value of any type that can be transparently compared with a key
hash | - | the hash value of the key

### Return value

1) Number of elements with key `key`.
2) Number of elements with key that compares equivalent to `x`.

### Complexity

linear in the number of elements with key `key` on average, worst case linear in the size of the container.

### See also

find | finds element with specific key (public member function)
equal_range | returns range of elements matching a specific key (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/unordered_multiset/count&oldid=65128"